Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 618215 - patch does not preserve context - resets to tmp_t
patch does not preserve context - resets to tmp_t
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: patch (Show other bugs)
6.0
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Tim Waugh
Eduard Benes
: Reopened
: 616141 (view as bug list)
Depends On: 229329
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 08:50 EDT by Eduard Benes
Modified: 2010-11-10 16:19 EST (History)
12 users (show)

See Also:
Fixed In Version: patch-2.6-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 229329
Environment:
Last Closed: 2010-11-10 16:19:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Tim Waugh 2010-07-26 11:19:18 EDT
*** Bug 616141 has been marked as a duplicate of this bug. ***
Comment 9 Miroslav Vadkerti 2010-08-16 05:02:26 EDT
Still fails with patch-2.6-5.el6. FAILS_QA, flipping back to assigned:

# rpm -q patch
patch-2.6-5.el6.x86_64

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   PASS   ] :: Running 'echo example1 > /etc/example1'
:: [   PASS   ] :: Running 'echo example2 > /etc/example2'
:: [   PASS   ] :: File /etc/example1 should exist
:: [   PASS   ] :: File /etc/example2 should exist
-rw-r--r--. root root unconfined_u:object_r:etc_t:s0   /etc/example1
-rw-r--r--. root root unconfined_u:object_r:etc_t:s0   /etc/example2
:: [   PASS   ] :: Running 'ls -lZ /etc/example1 /etc/example2 | tee /tmp/before.log'
patching file /etc/example1
:: [   PASS   ] :: Running 'diff -u /etc/example1 /etc/example2 | patch /etc/example1'
-rw-r--r--. root root unconfined_u:object_r:user_tmp_t:s0 /etc/example1
-rw-r--r--. root root unconfined_u:object_r:etc_t:s0   /etc/example2
:: [   PASS   ] :: Running 'ls -lZ /etc/example1 /etc/example2 | tee /tmp/after.log'
:: [   FAIL   ] :: Files /tmp/before.log and /tmp/after.log should not differ
Comment 10 Tim Waugh 2010-08-16 12:59:52 EDT
I could reproduce that.

Fixed in patch-2.6-6.el6.
Comment 11 Miroslav Vadkerti 2010-08-17 03:17:10 EDT
VERIFIED as fixed in patch-2.6-6.el6

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   PASS   ] :: Running 'echo example1 > /etc/example1'
:: [   PASS   ] :: Running 'echo example2 > /etc/example2'
:: [   PASS   ] :: File /etc/example1 should exist
:: [   PASS   ] :: File /etc/example2 should exist
:: [   PASS   ] :: Running 'ls -lZ /etc/example1 /etc/example2 | tee /tmp/before.log'
:: [   PASS   ] :: Running 'diff -u /etc/example1 /etc/example2 | patch /etc/example1'
:: [   PASS   ] :: Running 'ls -lZ /etc/example1 /etc/example2 | tee /tmp/after.log'
:: [   PASS   ] :: Files /tmp/before.log and /tmp/after.log should not differ
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 8 good, 0 bad
:: [   PASS   ] :: RESULT: Test

Please note that this bug will be moved to VERIFIED state when it gets to RHEL6 Snap 12.
Comment 13 Miroslav Vadkerti 2010-08-19 03:07:59 EDT
Moving to verified per comment 11.
Comment 14 releng-rhel@redhat.com 2010-11-10 16:19:50 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.